#32/64
%define name            zdoom
%define version         2.8.1

Name:                %{name}
Version:             %{version}
Release:             %mkrel 1
Group:               Games/Arcade
Summary:             Advanced DOOM port
License:             BSD License
Packager:            Agent Smith (ruidobranco@yahoo.com.br)
URL:                 http://sourceforge.net/projects/zdoom/
Source0:             %{name}-%{version}.tar.xz
Source1:             %{name}.png
Source2:             %{name}.sh

BuildRequires:       nasm
BuildRequires:       cmake
BuildRequires:       make
BuildRequires:       gcc-c++
BuildRequires:       glibc-devel
BuildRequires:       zlib1-devel
BuildRequires:       imagemagick
BuildRequires:       %{_lib}sdl2.0-devel
BuildRequires:       %{_lib}tar-devel
BuildRequires:       %{_lib}jpeg62
BuildRequires:       %{_lib}jpeg-devel
BuildRequires:       %{_lib}bzip2-devel
BuildRequires:       %{_lib}gtk+2.0_0-devel
BuildRequires:       %{_lib}fluidsynth1-devel
BuildRequires:       %{_lib}openal-devel
Requires:            %{_lib}gtk+2.0_0
Requires:            %{_lib}bzip2_1
Requires:            zlib1
Requires:            TiMidity++
Requires:            %{_lib}fmodex4
Requires:            fluidsynth

BuildRoot: 	     %_tmppath/%name-%version-buildroot



%description
ZDoom is an enhanced port of the official DOOM source code to Linux;
it adds new features not found in the version published by id Software. 
Supports Heretic, Hexen and partially Strife. Extra tools: ACC ZDBSP ZETH.
You should place your WADS in /home/~/.config/zdoom

%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}

%build

cd %{_builddir}/%{name}-%{version}/

 cmake -DCMAKE_BUILD_TYPE=Release \
       

make

%install
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}//applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ZDoom
Comment=Enhanced port of the DOOM
Path=/usr/share/games/zdoom
Exec=/usr/bin/zdoom
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}
%{__mkdir} -p %{buildroot}%{_datadir}/games/%{name}
%{__mkdir} -p %{buildroot}%{_iconsdir}/hicolor/{32x32,64x64,128x128,256x256,512x512}/apps

%{__cp} -f %{_builddir}/%{name}-%{version}/%{name}.pk3 %{buildroot}%{_datadir}/games/%{name}/%{name}.pk3

%{__cp} -f %{_builddir}/%{name}-%{version}/docs/* %{buildroot}%{_docdir}/%{name}
install -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}
install -m 0755 %{_builddir}/%{name}-%{version}/%{name} %{buildroot}%{_bindir}/%{name}.bin

install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png
convert -scale 256x256 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/games/%{name}
%{_datadir}/games/%{name}/%{name}.pk3
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_docdir}/%{name}/*

%changelog
* Fri May 06 2016 Agent Smith  <ruidobranco@yahoo.com.br> zdoom-2.8.1-1pclos2016.rpm
- Created the zdoom, with latest package 
